Bug 7710 - inconvient SYSFONTACM handling
: inconvient SYSFONTACM handling
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/console-scripts)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-18 14:24 by
Modified: 2008-03-24 15:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-18 14:24:25
Переменная SYSFONTACM, объявляемая в /ect/sysconfig/consolefont,
вполне может содержать полный путь до соотв.файла.
Следовало бы учесть это обстоятельство в скрипте vt_activate_uer_map:

--- vt_activate_user_map.orig   2004-11-20 14:43:57 +0300
+++ vt_activate_user_map        2005-08-18 14:20:44 +0400
@@ -9,7 +9,7 @@
 done
 [ -n "$SYSFONTACM" ] || exit 0

-case "$SYSFONTACM" in
+case "${SYSFONTACM##*/}" in
        cp1251*|iso01*|iso02*|iso08*|iso15*|koi*|latin2-ucw*|pt154*)
                if [ "$TERM" = linux ] && [ "`/sbin/consoletype`" = vt ]; then
                        printf %b '\033(K' >&0
------- Comment #1 From 2007-02-08 23:38:56 -------
to maintainer, if any
------- Comment #2 From 2008-03-24 14:53:50 -------
Это актуально для современного kbd?
------- Comment #3 From 2008-03-24 15:00:48 -------
Это актуально.
------- Comment #4 From 2008-03-24 15:04:12 -------
Fixed in 1.14-27-g756e2cd